Package org.apache.sysds.common

# Enum Class Types.OpOpData

java.lang.Object
java.lang.Enum<Types.OpOpData>
org.apache.sysds.common.Types.OpOpData

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOpData>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOpData extends Enum<Types.OpOpData>
Data specific operations, related to reading and writing to and from memory

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FEDERATED`
`FUNCTIONOUTPUT`
`PERSISTENTREAD`
`PERSISTENTWRITE`
`SQLREAD`
`TEE`
`TRANSIENTREAD`
`TRANSIENTWRITE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPersistent()`
`boolean`
`isRead()`
`boolean`
`isTransient()`
`boolean`
`isWrite()`
`String`
`toString()`
`static Types.OpOpData`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpData[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERSISTENTREAD

public static final Types.OpOpData PERSISTENTREAD

### PERSISTENTWRITE

public static final Types.OpOpData PERSISTENTWRITE

### TRANSIENTREAD

public static final Types.OpOpData TRANSIENTREAD

### TRANSIENTWRITE

public static final Types.OpOpData TRANSIENTWRITE

### FUNCTIONOUTPUT

public static final Types.OpOpData FUNCTIONOUTPUT

### SQLREAD

public static final Types.OpOpData SQLREAD

### FEDERATED

public static final Types.OpOpData FEDERATED

### TEE

public static final Types.OpOpData TEE

## Method Details

### values

public static Types.OpOpData[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOpData valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isTransient

public boolean isTransient()

### isPersistent

public boolean isPersistent()

### isWrite

public boolean isWrite()

### isRead

public boolean isRead()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.OpOpData>`